#
# spec file for package budgie-desktop-view
#
# Copyright (c) 2022 SUSE LLC
# Copyright (c) 2020 Callum Farmer <gmbr3@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#

%if 0%{?suse_version} < 1550
%define _distconfdir %{_sysconfdir}
%endif
%define org org.buddiesofbudgie
Name:           budgie-desktop-view
Version:        1.2+0
Release:        bp154.1.75
Summary:        Official Budgie Desktop icons application / implementation
License:        Apache-2.0
Group:          System/GUI/Other
URL:            https://github.com/BuddiesOfBudgie/budgie-desktop-view
Source0:        %{name}-%{version}.tar.xz
BuildRequires:  intltool
BuildRequires:  meson
BuildRequires:  pkgconfig
BuildRequires:  vala
BuildRequires:  pkgconfig(gdk-3.0)
BuildRequires:  pkgconfig(glib-2.0) >= 2.64.0

%description
Budgie Desktop View is the official Budgie desktop icons application / implementation

%prep
%autosetup

%build
%meson -Dxdg-appdir=%{_distconfdir}/xdg/autostart
%meson_build

%install
%meson_install

%files
%license LICENSE.md
%{_bindir}/%{org}.budgie-desktop-view
%{_distconfdir}/xdg/autostart/%{org}.budgie-desktop-view-autostart.desktop
%{_datadir}/applications/%{org}.budgie-desktop-view.desktop
%{_datadir}/glib-2.0/schemas/%{org}.budgie-desktop-view.gschema.xml

%changelog
* Tue Mar  8 2022 gmbr3@opensuse.org
- Update to version 1.2+0:
  * Tag 1.2 stable release
  * Set up directory for translations
  * Add FUNDING.yml
  * Link to releases page from release badge
  * Add Matrix and backer badges
  * Add GitHub Actions pipeline
  * Update comment and warning
  * Update to Budgie Control Center
  * Remove "GTK4 Port" from TODO
  * Fix launching of some file types.
* Fri Jan  7 2022 gmbr3@opensuse.org
- Update to version 1.1.1+5:
  * Rename schemas
  * Rebrand.
  * Update README to point to Open Collective and libera IRC
    channels
  * Enable application and key files to be moved to trash.
  * Update copyright to 2021
* Sat Oct 16 2021 Callum Farmer <gmbr3@opensuse.org>
- clean spec file
* Fri Dec 25 2020 Callum Farmer <gmbr3@opensuse.org>
- Update to version 1.1.1:
  * Check if it is a special item before deleting
* Wed Dec 23 2020 Callum Farmer <gmbr3@opensuse.org>
- Update to version 1.1:
  * Drag and Drop support
  * Keyboard-assisted navigation
  * Add Move to Trash button
  * Changed max thumbnail size from 1MB to 10MB
* Sat Nov 28 2020 Callum Farmer <gmbr3@opensuse.org>
- Initial packaging version 1.0.2
